This portion of the API provides endpoints for managing animal records.
Servers
https://api.ezyvet.comezyVet production environment
https://api.trial.ezyvet.comezyVet trial environment
Animal
Represents basic animal data such as name, breed, birthday and so on. Each Animal must have an owner
Deprecated
Fetches a list containing Animal(s)
GET
/v1/animal
Its recommended to use the v4/animal endpoint
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-animal"Read animal resources
Parameters
Query Parameters
id
The ID number used by the system to uniquely identify an Animal.
Type
string
active
If true, the Animal is active and usable in ezyVet.
Type
string
created_at
The epoch time when the Animal was created.
Type
string
modified_at
The epoch time when the Animal was last modified.
Type
string
name
The name of the Animal.
Type
string
code
The custom code override for the Animal.
Type
string
sex_id
The ID of the Sex of the Animal.
Type
string
is_dead
If true, the Animal is dead.
Type
boolean
is_hostile
If true, the Animal is not friendly. This is marked by the 'FRIENDLY' or 'CARE' image on ezyVet's Animal screen.
Type
boolean
animalcolour_id
The ID of the AnimalColour.
Type
string
species_id
The ID of the Species of the Animal.
Type
string
breed_id
The ID of the Breed of the Animal.
Type
string
rabies_number
The rabies registration number of the Animal. This field is not necessarily used by clinics throughout the world.
Type
string
date_of_rabies_vaccination
The epoch time that the Animal was vaccinated against rabies. This field is not necessarily used by clinics throughout the world.
Type
string
microchip_number
The microchip number of the Animal.
Type
string
contact_id
The ID of the owner of the Animal.
Type
string
date_of_birth
The epoch time the Animal was born.
Type
string
is_estimated_date_of_birth
If true, the date of birth is considered to be an estimate only.
Type
boolean
date_of_death
The epoch time the Animal died.
Type
string
death_reason
The reason of the Animal death.
Type
string
date_of_desex
The epoch time the Animal was spayed/neutered.
Type
string
referring_clinic_id
The Contact ID of the clinic that referred the Animal.
Type
string
referring_vet_id
The Contact ID of the vet that referred the Animal.
Type
string
residence_contact_id
The Contact ID for the caretaker of the Animal. Populated if and only if the animal does not stay at the same residence as the owner.
Type
string
weight_unit
The unit of weight that the Animal was measured with. This can be either Kilogram (kg), Pounds (lb) or Grams (g).
Type
string
Valid values
"kg""lb""g"weight
The weight of the Animal.
Type
string
resuscitate
Whether the Animal's owner would like it to be resuscitated or not. This can be either No (0), Yes (1) or Advanced Life Support (3).
Type
number
Valid values
013notes
Notes that are displayed within ezyVet on the animal page.
Type
string
notes_important
If true, the Animal's notes are marked as important.
Type
boolean
Responses
A list of Animals
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "animal": { "id": "string", "active": "string", "created_at": "string", "modified_at": "string", "name": "string", "code": "string", "sex_id": "string", "is_dead": "string", "is_hostile": "string", "animalcolour_id": "string", "species_id": "string", "breed_id": "string", "rabies_number": "string", "date_of_rabies_vaccination": "string", "microchip_number": "string", "contact_id": "string", "date_of_birth": "string", "is_estimated_date_of_birth": "string", "date_of_death": "string", "death_reason": "string", "date_of_desex": "string", "referring_clinic_id": "string", "referring_vet_id": "string", "residence_contact_id": "string", "weight": "string", "weight_unit": "string", "resuscitate": "string", "notes": "string", "notes_important": "string", "guid": "string" } } ], "messages": [ "string" ]
{
}
GET
/v1/animal
Samples
Fetch an AnimalColour list
GET
/v1/animalcolour
Fetches a list containing AnimalColour(s). (up to 10)
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-animalcolour"Read animal colour resources
Parameters
Query Parameters
id
The ID number used by the system to uniquely identify an AnimalColour.
Type
string
active
If true, the AnimalColour is active and usable in ezyVet.
Type
string
created_at
The epoch time when the AnimalColour was created.
Type
string
modified_at
The epoch time when the AnimalColour was last modified.
Type
string
name
The name of the AnimalColour.
Type
string
Responses
Successful response
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "animalcolour": { "id": "string", "active": "string", "created_at": "string", "modified_at": "string", "name": "string" } } ], "messages": [ ]
{
}
GET
/v1/animalcolour
Samples
Fetch a Breed list
GET
/v1/breed
Fetches a list containing Breed(s). (up to 10)
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-breed"Read breed resources
Parameters
Query Parameters
species_id*
Type
Requiredstring
id
active
created_at
modified_at
name
Type
string
limit
Default
10page
Default
1Responses
A JSON object containing the breed list
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "breed": { "id": "string", "active": "string", "created_at": 0, "modified_at": 0, "name": "string", "species_id": "string" } } ], "messages": [ { } ]
{
}
GET
/v1/breed
Samples
Fetch a Sex list
GET
/v1/sex
Fetches a list containing Sex(es). (up to 10)
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-sex"Read sex resources
Parameters
Query Parameters
id
The ID number used by the system to uniquely identify a Sex.
Type
string
active
If true, the Sex is active and usable in ezyVet.
Type
string
created_at
The epoch time when the Sex was created.
Type
string
modified_at
The epoch time when the Sex was last modified.
Type
string
name
The name of the Sex.
Type
string
abbreviation
The name of the Sex.
Type
string
is_desexed
If true, the Sex is spayed/neutered.
Type
boolean
limit
Limits the number of items returned.
Type
string
Default
10page
Specifies the page number of the result.
Type
string
Default
1Responses
A list of Sexes.
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "sex": { "id": "string", "active": "string", "created_at": 0, "modified_at": 0, "name": "string", "abbreviation": "string", "is_desexed": "string" } } ], "messages": [ ]
{
}
GET
/v1/sex
Samples
Fetch a Species list
GET
/v1/species
Fetches a list containing Species. (up to 10)
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-species"Read species resources
Parameters
Responses
A list of species
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "species": { "id": "string", "active": "string", "created_at": "string", "modified_at": "string", "name": "string" } } ], "messages": [ ]
{
}
GET
/v1/species
Samples
Fetches a list containing Animal(s)
GET
/v2/animal
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-animal"Read animal resources
Parameters
Query Parameters
id
The ID number used by the system to uniquely identify an Animal.
Type
string
uid
The UID used by the system to uniquely identify an Animal.
Type
string
active
If true, the Animal is active and usable in ezyVet.
Type
string
created_at
The epoch time when the Animal was created.
Type
string
modified_at
The epoch time when the Animal was last modified.
Type
string
code
The custom code override for the Animal.
Type
string
sex_id
The ID of the Sex of the Animal.
Type
string
is_dead
If true, the Animal is dead.
Type
boolean
is_hostile
If true, the Animal is not friendly. This is marked by the 'FRIENDLY' or 'CARE' image on ezyVet's Animal screen.
Type
boolean
animalcolour_id
The ID of the AnimalColour.
Type
string
species_id
The ID of the Species of the Animal.
Type
string
breed_id
The ID of the Breed of the Animal.
Type
string
rabies_number
The rabies registration number of the Animal. This field is not necessarily used by clinics throughout the world.
Type
string
date_of_rabies_vaccination
The epoch time that the Animal was vaccinated against rabies. This field is not necessarily used by clinics throughout the world.
Type
string
microchip_number
The microchip number of the Animal.
Type
string
contact_id
The ID of the owner of the Animal.
Type
string
date_of_birth
The epoch time the Animal was born.
Type
string
is_estimated_date_of_birth
If true, the date of birth is considered to be an estimate only.
Type
boolean
date_of_death
The epoch time the Animal died.
Type
string
death_reason
The reason of the Animal death.
Type
string
date_of_desex
The epoch time the Animal was spayed/neutered.
Type
string
referring_clinic_id
The Contact ID of the clinic that referred the Animal.
Type
string
referring_vet_id
The Contact ID of the vet that referred the Animal.
Type
string
residence_contact_id
The Contact ID for the caretaker of the Animal. Populated if and only if the animal does not stay at the same residence as the owner.
Type
string
weight_unit
The unit of weight that the Animal was measured with. This can be either Kilogram (kg), Pounds (lb) or Grams (g).
Type
string
Valid values
"kg""lb""g"weight
The weight of the Animal.
Type
string
resuscitate
Whether the Animal's owner would like it to be resuscitated or not. This can be either No (0), Yes (1) or Advanced Life Support (3).
Type
number
Valid values
013notes
Notes that are displayed within ezyVet on the animal page.
Type
string
notes_important
If true, the Animal's notes are marked as important.
Type
boolean
Responses
A list of Animals
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "animal": { "id": 0, "uid": "string", "active": true, "created_at": 0, "modified_at": 0, "name": "string", "code": "string", "sex_id": 0, "is_dead": true, "is_hostile": "string", "animalcolour_id": 0, "species_id": 0, "breed_id": 0, "rabies_number": "string", "date_of_rabies_vaccination": "string", "microchip_number": "string", "contact_id": 0, "date_of_birth": 0, "is_estimated_date_of_birth": "string", "date_of_death": "string", "death_reason": "string", "date_of_desex": 0, "referring_clinic_id": "string", "referring_vet_id": "string", "residence_contact_id": "string", "weight": 0, "weight_unit": "string", "resuscitate": "string", "notes": "string", "notes_important": true, "guid": "string" } } ], "messages": [ "string" ]
{
}
GET
/v2/animal
Samples
Fetches a list containing Animal(s) - uses token pagination.
GET
/v4/animal
Retrieve a paginated list of animals using token-based pagination.
Pagination:
- Use the
pageSizeparameter to control the number of items returned per page (default: 2000, max: 2000) - Use the
nextTokenparameter from the responsemetaobject to fetch the next page - The
nextTokenwill be omitted from themetaobject when there are no more pages available - Send
nextTokenon its own. The page size and the filters from the original request are carried inside the token, so repeatingpageSizeor any filter alongside it returns400 RedundantParamsWithNextToken
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-animal"Read animal resources
Parameters
Query Parameters
id
The unique identifier (uid) of the Animal. Accepts a single uid, or an in list of up to 100.
Type
string
Example
{"in":["animal_AB3e7Z2i9FJu0j7hLExLp","animal_Cd4F8g1H6jKl2m9N0pQrS"]}active
If true, the record is active and usable in ezyVet.
Type
string
Example
"1"createdAt
The ISO 8601 timestamp when the record was created.
Type
string
Example
{"gte":"2024-01-15T10:30:00Z"}updatedAt
The ISO 8601 timestamp when the record was last updated. Earlier API versions call this modifiedAt.
Type
string
Example
{"gte":"2024-12-15T00:00:00Z","lte":"2024-12-20T14:22:00Z"}pageSize
Sets the number of items to be returned in each page. Default is 2000, Limit is 2000.
Type
number
Example
200Default
2000Maximum
2000nextToken
A token to pass back to the server to get the next page of results.
Type
string
Example
"AB3e7Z2i9FJu0j7hLExLp"name
The name of the Animal.
Type
string
code
The custom code override for the Animal.
Type
string
ownerId
The ID of the owner (contact) of the Animal.
Type
string
status
Filter by the status of the Animal.
Type
string
Valid values
"active""inactive"Example
"active"isDead
Filter by death status. true = deceased animals only, false = alive animals only.
Type
string
Valid values
"true""false"Responses
A list of Animals
application/json
JSON "meta": { "nextToken": "eyJsYXN0QW5pbWFsSWQiOjE4OSwicGFnZVNpemUiOjEwLCJmaWx0ZXJzIjp7fX0" }, "data": [ { "id": "animal_AB3e7Z2i9FJu0j7hLExLp", "legacyId": 42, "code": "A0001234567890", "name": "Buddy", "ownerId": "contact_Xk9mR4pL2vN8qW1sT7yB3", "species": { "id": "species_Tm4hG7nJ1bP9sK3wL5xRq", "name": "Dog" }, "sex": { "reference": "MN", "name": "Male Neutered" }, "dateOfBirth": { "date": "2020-05-15", "isEstimated": false }, "type": "individual", "breed": { "id": "breed_Vy6dF2kM8nQ4rH0wC1jZe", "name": "Golden Retriever" }, "colour": { "id": "animalColour_Hq3sB8nV1kD6wT9mF2cXe", "name": "Brown", "legacyId": 5 }, "weight": { "value": 28.5, "unit": "kg" }, "death": { "isDead": true, "date": "2024-11-16", "reason": "Old age" }, "insured": false, "primaryHospital": "hospital_Jn5fQ8wK3xR6mD0pV2cYa", "notes": "Friendly dog, loves treats. Regular checkups every 6 months.", "notesImportant": false, "demeanour": [ { "name": "Food aggressive", "color": "", "icon": "" } ], "microchip": "982000123456789", "rabies": { "number": "RB-2024-001234", "vaccinationDate": "2024-03-15" }, "status": "active", "resuscitate": "yes", "referringClinic": { "id": "contact_Rw3bN7pK1mX9sF5vQ2dLa" }, "referringVet": { "id": "contact_Hj8cT4wM6nR2kG0pY1xBf" }, "residenceContact": { "id": "contact_Lm5qW9nJ3bP7sK1xR4vDy" }, "createdAt": "2024-01-15T10:30:00Z", "updatedAt": "2024-12-20T14:22:00Z" } ], "errors": [ { "id": "8954638926413656075_1", "code": "AnimalNotFound", "target": "/id" } ]
{
}
GET
/v4/animal